Skip to content

# Interface: PageRegistration

## Hierarchy

- PageRegistration

## Index

### Properties

- components
- exact
- id

## Properties

### components

• components: PageComponents

Defined in src/extensions/registries/page-registry.ts:31

### `Optional` exact

• exact? : boolean

Defined in src/extensions/registries/page-registry.ts:30

Strict route matching to provided page-id, read also: https://reactrouter.com/web/api/NavLink/exact-bool In case when more than one page registered at same extension "pageId" is required to identify different pages, It might be useful to provide `exact: true` in some cases to avoid overlapping routes. Without {exact:true} second page never matches since first page-id/route already includes partial route.

`example` const pages = [ {id: "/users", exact: true}, {id: "/users/:userId?"} ] Pro-tip: registering pages in opposite order will make same effect without "exact".

### `Optional` id

• id? : string

Defined in src/extensions/registries/page-registry.ts:18

Page ID or additional route path to indicate uniqueness within current extension registered pages Might contain special url placeholders, e.g. "/users/:userId?" (? - marks as optional param) When not provided, first registered page without "id" would be used for page-menus without target.pageId for same extension